# -*- coding: utf-8 -*-

# Copyright (c) 2004 - 2005 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implemting a dialog to show repository information.
"""

from qt import *
from RepositoryInfoForm import VcsRepositoryInfoForm


class VcsRepositoryInfoDialog(VcsRepositoryInfoForm):
    """
    Class implemting a dialog to show repository information.
    """
    def __init__(self, parent, info):
        VcsRepositoryInfoForm.__init__(self, parent, None, 1)
        self.infoBrowser.setText(info)
        
        self.dummy = self.trUtf8("Dummy")
